package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppOrder;

/**
 * 订单Service接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface IAppOrderService 
{
    /**
     * 查询订单
     * 
     * @param orderId 订单主键
     * @return 订单
     */
    public AppOrder selectAppOrderByOrderId(Long orderId);

    /**
     * 查询订单列表
     * 
     * @param appOrder 订单
     * @return 订单集合
     */
    public List<AppOrder> selectAppOrderList(AppOrder appOrder);

    /**
     * 新增订单
     * 
     * @param appOrder 订单
     * @return 结果
     */
    public int insertAppOrder(AppOrder appOrder);

    /**
     * 修改订单
     * 
     * @param appOrder 订单
     * @return 结果
     */
    public int updateAppOrder(AppOrder appOrder);

    /**
     * 批量删除订单
     * 
     * @param orderIds 需要删除的订单主键集合
     * @return 结果
     */
    public int deleteAppOrderByOrderIds(Long[] orderIds);

    /**
     * 删除订单信息
     * 
     * @param orderId 订单主键
     * @return 结果
     */
    public int deleteAppOrderByOrderId(Long orderId);

    /**
     * 查询订单列表
     *
     * @return 订单集合
     */
    public List<AppOrder> getAppOrderList();
}
